Loading...
Searching...
No Matches
juce::ToVar Class Reference

`#include <juce_JSONSerialisation.h>`

## Public Types

using | Options = ToVarOptions

## Static Public Member Functions

template<typename T>
static std::optional< var > | convert (const T &t, const Options &options={})

## Detailed Description

Allows converting an object of arbitrary type to var.

To use this, you must first ensure that the type passed to convert is set up for serialisation. For details of what this entails, see the docs for SerialisationTraits.

In short, the constant 'marshallingVersion', and either the single function 'serialise()', or the function pair 'load()' and 'save()' must be defined for the type. These may be defined as public members of the type T itself, or as public members of juce::SerialisationTraits<T>, which is a specialisation of the SerialisationTraits template struct for the type T.

See also
  FromVar

Definition at line 76 of file juce_JSONSerialisation.h.

## Member Typedef Documentation

## Options

using juce::ToVar::Options = ToVarOptions

Definition at line 79 of file juce_JSONSerialisation.h.

## Member Function Documentation

## convert()

template<typename T>

std::optional< var > juce::ToVar::convert | ( | const T & | t,
|  | const Options & | options = {} )

inline static

Attempts to convert the argument to a var using the serialisation utilities specified for that type.

This will return a non-null optional if conversion succeeds, or nullopt if conversion fails.

Definition at line 87 of file juce_JSONSerialisation.h.

The documentation for this class was generated from the following file:

- juce_JSONSerialisation.h